Subject: Re: bug#39181: 27.0.50; [PATCH] Allow users to store & restore gdb-mi layout

From: Yuan Fu <[email-masked]>
Date: Sat, 15 Feb 2020 15:37:43 -0500

> On Feb 15, 2020, at 5:19 AM, Eli Zaretskii <[email-masked]> wrote:
> 
>> Cc: [email-masked]
>> From: martin rudalics <[email-masked]>
>> Date: Sat, 15 Feb 2020 10:55:34 +0100
>> 
>>> Martin, any comments?
>> 
>> IMHO "restoring the previous window layout when gdb quits" should be
>> opt-in (or at least opt-out).  Maybe it also should restore the layout
>> only when 'gdb-many-windows' is non-nil, so we'd have the three option
>> values nil, t, and if-gdb-many-windows (in a menu entry).
> 
> I had the same thoughts myself, and I agree on both counts.

I agree. I made it into a custom variable with choices, is that what you mean by menu entry?

Yuan